Xerces 3.1.1

## org.apache.html.dom
Class HTMLParamElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLParamElementImpl

public final class HTMLParamElementImpl
extends HTMLElementImpl
implements HTMLParamElement

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:11 $
See Also:
  `HTMLParamElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLParamElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getName()` The name of a run-time parameter.
`java.lang.String` `getType()` Content type for the `value` attribute when `valuetype` has the value "ref".
`java.lang.String` `getValue()` The value of a run-time parameter.
`java.lang.String` `getValueType()` Information about the meaning of the `value` attribute value.
`void` `setName(java.lang.String name)`
`void` `setType(java.lang.String type)`
`void` `setValue(java.lang.String value)`
`void` `setValueType(java.lang.String valueType)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLParamElementImpl

    public HTMLParamElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: HTMLParamElement
  The name of a run-time parameter. See the name attribute definition in HTML 4.0.
  Specified by:
    getName in interface HTMLParamElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface HTMLParamElement

### getType

    public java.lang.String getType()

  Description copied from interface: HTMLParamElement
  Content type for the `value` attribute when `valuetype` has the value "ref". See the type attribute definition in HTML 4.0.
  Specified by:
    getType in interface HTMLParamElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface HTMLParamElement

### getValue

    public java.lang.String getValue()

  Description copied from interface: HTMLParamElement
  The value of a run-time parameter. See the value attribute definition in HTML 4.0.
  Specified by:
    getValue in interface HTMLParamElement

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    setValue in interface HTMLParamElement

### getValueType

    public java.lang.String getValueType()

  Description copied from interface: HTMLParamElement
  Information about the meaning of the `value` attribute value. See the valuetype attribute definition in HTML 4.0.
  Specified by:
    getValueType in interface HTMLParamElement

### setValueType

    public void setValueType(java.lang.String valueType)

  Specified by:
    setValueType in interface HTMLParamElement

Xerces 3.1.1